on: [pull_request]
jobs:
  testbuild:
    runs-on: docker
    container.image: node:20-bookworm
    steps:
      - uses: actions/checkout@v4
      - run: npm install && npm run build
        name: NPM Install and Build
      - name: Upload output
        uses: actions/upload-artifact@v3
        with:
          name: outputsite
          path: .vercel/output/static